### Method

# Gtk MessageDialogformat_secondary_markup

deprecated: 4.10

#### Declaration [src]

    void
    gtk_message_dialog_format_secondary_markup (
      GtkMessageDialog* message_dialog,
      const char* message_format,
      ...
    )

#### Description [src]

Sets the secondary text of the message dialog.

The `message_format` is assumed to contain Pango markup.

Due to an oversight, this function does not escape special XML characters like `gtk_message_dialog_new_with_markup()` does. Thus, if the arguments may contain special XML characters, you should use `g_markup_printf_escaped()` to escape it.

    char *msg;

    msg = g_markup_printf_escaped (message_format, ...);
    gtk_message_dialog_format_secondary_markup (message_dialog,
                                                "%s", msg);
    g_free (msg);

Deprecated since: 4.10

Use `GtkAlertDialog` instead.

This method is not directly available to language bindings.

#### Parameters

`message_format`

  Type: `const char*`

  Printf()-style string with Pango markup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for `message_format`.